[
  {
    package = "obsidian-local-images";
    enable = true;
    settings = {
      realTimeUpdate = true;
      realTimeUpdateInterval = 1000;
      realTimeAttemptsToProcess = 3;
      cleanContent = true;
      showNotifications = true;
      include = ''.*\\.md'';
      mediaRootDirectory = "🥙 Nutrition Vault";
    };
  }
  {
    package = "obsidian-image-toolkit";
    enable = true;
    settings = { };
  }
  {
    package = "simple-embeds";
    enable = true;
    settings = {
      replaceAppleMusicLinks = true;
      replaceApplePodcastsLinks = true;
      replaceAppleTVLinks = true;
      replaceCodepenLinks = true;
      replaceFlatIOLinks = true;
      replaceGitHubGistLinks = true;
      replaceInstagramLinks = true;
      replaceNoteflightLinks = true;
      replaceTwitterLinks = true;
      replaceYouTubeLinks = true;
      twitterTheme = "auto";
      codepenTheme = "auto";
      codepenDefaultTab = "html";
      codepenShowResult = true;
      codepenClickToLoad = false;
      codepenEditable = false;
      centerEmbeds = true;
      keepLinksInPreview = true;
      embedPlacement = "above";
      disableAutomaticEmbeds = false;
    };
  }
  {
    package = "templater-obsidian";
    enable = true;
    settings = {
      command_timeout = 5;
      templates_folder = "📋 Templates";
      templates_pairs = [
        [
          ""
          ""
        ]
      ];
      trigger_on_file_creation = false;
      auto_jump_to_cursor = false;
      enable_system_commands = false;
      shell_path = "";
      user_scripts_folder = "";
      enable_folder_templates = true;
      folder_templates = [
        {
          folder = "";
          template = "";
        }
      ];
      syntax_highlighting = true;
      syntax_highlighting_mobile = false;
      enabled_templates_hotkeys = [
        "📋 Templates/Argument Template.md"
        "📋 Templates/Template.md"
        "📋 Templates/Debate Template.md"
        "📋 Templates/NTT Template.md"
        "📋 Templates/Event Template.md"
        "📋 Templates/Simple Argument Template.md"
      ];
      startup_templates = [
        ""
      ];
      enable_ribbon_icon = true;
    };
  }
  {
    package = "auto-note-mover";
    enable = true;
    settings = {
      trigger_auto_manual = "Automatic";
      use_regex_to_check_for_tags = false;
      statusBar_trigger_indicator = true;
      folder_tag_pattern = [
        {
          folder = "🛡️ Debate/Opponents";
          tag = "#debate_opponents";
          pattern = "";
        }
        {
          folder = "💻 Hyperblog/Blogs/Patreon";
          tag = "#patreon_articles";
          pattern = "";
        }
      ];
      use_regex_to_check_for_excluded_folder = false;
      excluded_folder = [
        {
          folder = "";
        }
      ];
    };
  }
  {
    package = "obsidian-mind-map";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-enhancing-mindmap";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-contextual-typography";
    enable = true;
    settings = { };
  }
  {
    package = "table-editor-obsidian";
    enable = true;
    settings = {
      formatType = "normal";
      showRibbonIcon = true;
      bindEnter = true;
      bindTab = true;
    };
  }
  {
    package = "better-word-count";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-autocomplete-plugin";
    enable = true;
    settings = {
      enabled = false;
      autoSelect = false;
      autoTrigger = true;
      autoTriggerMinSize = 3;
      triggerLikeVim = false;
      latexProvider = false;
      flowProvider = true;
      flowProviderScanCurrent = true;
      flowProviderTokenizeStrategy = "default";
      flowWordSeparators = {
        default = ''~?!@#$%^&*()-=+[{]}|;:' \",.<>/'';
        arabic = ''~?!@#$%^&*()-=+[{]}|;:' \",.<>/،؛'';
        japanese = ''~?!@#$%^&*()-=+[{]}|;:' \",.<>/'';
      };
    };
  }
  {
    package = "obsidian-regex-replace";
    enable = true;
    settings = {
      findText = "";
      replaceText = "";
      useRegEx = true;
      selOnly = false;
      caseInsensitive = false;
      processLineBreak = false;
      processTab = false;
      prefillFind = false;
    };
  }
  {
    package = "tag-wrangler";
    enable = true;
    settings = { };
  }
  {
    package = "code-block-copy";
    enable = true;
    settings = { };
  }
  {
    package = "open-in-new-tab";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-pandoc";
    enable = true;
    settings = {
      showCLICommands = false;
      addExtensionsToInternalLinks = "html";
      injectAppCSS = "light";
      injectThemeCSS = false;
      customCSSFile = null;
      displayYAMLFrontmatter = false;
      linkStrippingBehaviour = "link";
      highDPIDiagrams = true;
      pandoc = null;
      pdflatex = null;
      outputFolder = null;
      extraArguments = "";
      exportFrom = "html";
    };
  }
  {
    package = "obsidian-columns";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-excalidraw-plugin";
    enable = true;
    settings = { };
  }
  {
    package = "typst";
    enable = true;
    settings = {
      format = "image";
      noFill = true;
      fill = "#ffffff";
      pixel_per_pt = 3;
      search_system = false;
      override_math = false;
      font_families = [ ];
      preamable = {
        shared = ''#set text(fill: white, size: SIZE)\n#set page(width: WIDTH, height: HEIGHT)'';
        math = ''#set page(margin: 0pt)\n#set align(horizon)'';
        code = "#set page(margin: (y: 1em, x: 0pt))";
      };
      plugin_version = "0.10.0";
      autoDownloadPackages = true;
    };
  }
  {
    package = "obsidian-sort-and-permute-lines";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-git";
    enable = true;
    settings = { };
  }
  {
    package = "obsidian-enhancing-export";
    enable = true;
    settings = {
      items = [
        {
          name = "Markdown";
        }
        {
          name = "Markdown (Hugo)";
        }
        {
          name = "Html";
        }
        {
          name = "TextBundle";
        }
        {
          name = "PDF";
        }
        {
          name = "Word (.docx)";
        }
        {
          name = "OpenOffice";
        }
        {
          name = "RTF";
        }
        {
          name = "Epub";
        }
        {
          name = "Latex";
        }
        {
          name = "Media Wiki";
        }
        {
          name = "reStructuredText";
        }
        {
          name = "Textile";
        }
        {
          name = "OPML";
        }
      ];
      defaultExportDirectoryMode = "Auto";
      openExportedFile = true;
      version = "1.1.8";
      lastEditName = "Html";
      lastExportDirectory = {
        linux = "/home/nick/Documents";
      };
      lastExportType = "Html";
    };
  }
  {
    package = "folders2graph";
    enable = true;
    settings = { };
  }
]
